/* This REXX script installs the BitchX object on your WPS desktop. */

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs

say "Creating BitchX object..."

currentDirectory = directory()
programName = "\BitchX.cmd"
programIcon = "\BitchX.ico"
programPath = insert( currentDirectory, programName )

PRGOPTION="PROGTYPE=PM;EXENAME="||programPath||";OBJECTID=<BitchX>;ICONFILE="||programIcon||";"

if SysCreateObject("WPProgram", ,
                   "BitchX", ,
                   "<WP_DESKTOP>", , 
                   PRGOPTION, ,
                   "REPLACE") Then Do
    Say "Object created."
    Exit 0
End

Say "Object creation error!"

Exit 0

